!!ARBfp1.0
#
# simple anisotropic fragment shader
# on entry:
#     fragment.texcoord [0] - texture coordinates
#
#     texture [0] - decal map
#
#     program.local [0].x - burn coordinate
#

ATTRIB	t            = fragment.texcoord [1];
PARAM	burn         = program.local [0];
PARAM	one          = 1;
PARAM	two          = 2;
PARAM	darkRed      = { 0.5, 0, 0, 1 };
PARAM	brightYellow = { 1,   1, 0, 1 };

TEMP	b, b2, tf, cf, dots, color, h2, l2, temp, diffuse, dist, atten;

ADD		b, t, -burn;
MOV		b.y, b.x;
MOV		b.z, b.x;

ADD		b2, one, -b;						# break if b > 1
KIL		b2.x;

TEX		color, fragment.texcoord [0], texture [0], 2D;	# get decal color
SLT		tf.xyz, b, 0;						# now tf.x = 1 if burn < 0, otherwise 0
LRP		cf, b, brightYellow, darkRed;		# get burn color
LRP		result.color.rgb, tf, color, cf;
MOV		result.color.a, 1;

END
